#!/usr/bin/perl

# IBM Confidential 
#	
#   (c) Copyright IBM Corp. 2000, 2006 All Rights Reserved.
#
#   The source code for this program is not published or otherwise 
#   divested of its trade secrets, irrespective of what has been 
#   deposited with the U.S. Copyright Office.


@tokens=split /\s*-([A-Z0-9.]+) /,join " ",@ARGV;
shift @tokens;
%hash=@tokens;

exit if $hash{UNINSTALL};

$INSTALL=$hash{INSTALL};
$ECLIPSE=$hash{ECLIPSE};
$JRE=$hash{JRE};

$launcher=<<"END";
#!/bin/sh

FUNCTIONAL_TESTER_DIR="$INSTALL/FunctionalTester"
export RATIONAL_FT_CUSTOMIZATION_DIRECTORY="\$FUNCTIONAL_TESTER_DIR/bin/customization"
export RATIONAL_FT_CONFIGURATION_DIRECTORY="\$FUNCTIONAL_TESTER_DIR/bin/configuration"
export IBM_RATIONAL_RFT_INSTALL_DIR="\$FUNCTIONAL_TESTER_DIR/bin"
export IBM_RATIONAL_RFT_ECLIPSE_DIR="$ECLIPSE"
export RATIONAL_FT_JRE="$JRE"

"$INSTALL/eclipse"
END

open SCRIPT,">$INSTALL/start_rft";
print SCRIPT $launcher;
close SCRIPT;
chmod 0755,"$INSTALL/start_rft";


